[Pushwoosh Plugin] Pushwoosh Zip Path Traversal Vulnerability

Forge Component
(11)
Published on 7 Aug (13 days ago) by OutSystems R&D
11 votes
Published on 7 Aug (13 days ago) by OutSystems R&D

Hello

Pushwoosh Android SDK had an issue with unsafe zip patterns which have been solved in ver. 5.14.3.

https://github.com/Pushwoosh/pushwoosh-android-sdk/issues/129

This fix is implemented in ver. 7.14.0 of the Cordova plugin

https://github.com/Pushwoosh/pushwoosh-phonegap-plugin/releases

But Outsystems Pushwoosh plugin (4.1.0) still uses 7.13.0 version of the Cordova plugin.


-Joni


Solution

Hi Joni, 


Thanks for bring that issue for the plugin. We added an issue to our backlog to fix it as soon as possible. 


Thanks. 

Solution

Hi Vitor

Thank you for quick response

-Joni